WinFuture-Forum.de: MediaWiki 1.6 Umzug auf 1.16 - WinFuture-Forum.de

Zum Inhalt wechseln

Nachrichten zum Thema: Entwicklung
Seite 1 von 1

MediaWiki 1.6 Umzug auf 1.16 PHP4 auf PHP5

#1 _The Grim Reaper_

  • Gruppe: Gäste

geschrieben 27. Februar 2011 - 17:40

Hi,

falls es wer geschafft hat, bitte sagen, wie:

Problem:

Auf einem AIX (wahrscheinlich 5) mit PHP 4 lief ein MediaWiki 1.6, welches jetzt umziehen soll. Zielsystem freeBSD 8.1 mit PHP5.

Stand der Dinge: SQL Backup wurde erstellt und wieder ins MySQL integriert. PHP5 ist auf dem freeBSD vorhanden und Medien, sowie Einstellungsdateien des MediaWiki wurden kopiert. Natürlich ist das aktuelle MediaWiki auf dem freeBSD installiert und funzt soweit.

So jetzt kommt es. Wir bekommen andauern Pfadfehler wegen PHP5 und wir wissen nicht, was wir da tun sollen.

Bevor ich hier anfange mit den Pfadfehlern muss es ein eigentliches Problem und nicht speziell sein, denn wir haben es auf anderen OS getestet mit dem gleichen Problem:

kann wer ein kurzes tut schreiben, wie man hier vorzugehen hat?

MfG TGR
0

Anzeige

#2 Mitglied ist offline   Holger_N 

  • Gruppe: aktive Mitglieder
  • Beiträge: 4.213
  • Beigetreten: 11. September 10
  • Reputation: 199

geschrieben 27. Februar 2011 - 18:33

Funktioniert der Server richtig und nur die Seite nicht? Ich mußte bei meinen Seiten auch einiges umschreiben, als ich auf PHP 5.3.5 gewechselt habe. Veraltete Befehle und schludrige Variablendeklarationen meinerseits waren so die Hauptgründe. Bin dann Fehlermeldung für Fehlermeldung durchgegangen.

Oder ist was Anderes gemeint?
Ich bin ein sehr ordentlicher, fleißiger und reinlicher Mensch, nur leider gefangen im Körper eines schmuddeligen Faulpelzes … tja, kann man nix machen …
0

#3 _The Grim Reaper_

  • Gruppe: Gäste

geschrieben 27. Februar 2011 - 19:27

Nur die Seite nicht. Die Inhalte sind nicht verfügbar -> Verlinungen iwie falsch. Ich wollte gerade auf meinem PC gucken, was für Fehler genau ausgespuckt werden, doch es lässt sich weder MySQL ohne Fehler installieren - vll- weil Windows SQL Server installiert ist - noch ist die PHP5 HP erreichbar.
0

#4 Mitglied ist offline   Holger_N 

  • Gruppe: aktive Mitglieder
  • Beiträge: 4.213
  • Beigetreten: 11. September 10
  • Reputation: 199

geschrieben 27. Februar 2011 - 21:23

Ja nee dann meinst du ja schon Fehler in der ganzen PHP-Installation. Ich dachte, das wäre grundsätzlich erstmal in Ordnung.
Ich bin ein sehr ordentlicher, fleißiger und reinlicher Mensch, nur leider gefangen im Körper eines schmuddeligen Faulpelzes … tja, kann man nix machen …
0

#5 _The Grim Reaper_

  • Gruppe: Gäste

geschrieben 27. Februar 2011 - 22:52

Das eine hat doch mit dem anderen rein garnichts zutun.
0

#6 Mitglied ist offline   Holger_N 

  • Gruppe: aktive Mitglieder
  • Beiträge: 4.213
  • Beigetreten: 11. September 10
  • Reputation: 199

geschrieben 28. Februar 2011 - 13:14

Beitrag anzeigenZitat (The Grim Reaper: 27.02.2011, 22:52)

Das eine hat doch mit dem anderen rein garnichts zutun.


Na selbst wenn zwei Sachen nichts miteinander zu tun haben, wenn eins davon nicht funktioniert, muß ich doch wissen was von Beiden nicht geht. Das ging für mich aus der ursprünglichen Fragestellung nicht hervor.
Ich bin ein sehr ordentlicher, fleißiger und reinlicher Mensch, nur leider gefangen im Körper eines schmuddeligen Faulpelzes … tja, kann man nix machen …
0

#7 _The Grim Reaper_

  • Gruppe: Gäste

geschrieben 01. März 2011 - 13:17

Was musstest du denn umschreiben?
0

#8 _The Grim Reaper_

  • Gruppe: Gäste

geschrieben 05. März 2011 - 01:15

OK die Grenzen des Forums sind also wieder mal erreicht :blink: .
0

#9 Mitglied ist offline   Holger_N 

  • Gruppe: aktive Mitglieder
  • Beiträge: 4.213
  • Beigetreten: 11. September 10
  • Reputation: 199

geschrieben 05. März 2011 - 12:55

Beitrag anzeigenZitat (The Grim Reaper: 01.03.2011, 13:17)

Was musstest du denn umschreiben?


Ich mußte Variablen deklarieren, was vorher nicht nötig war und veraltete Befehle durch neue ersetzen. Da hat aber der eigentliche Server funktioniert und nur das PHP-Script der Seite nicht.
Ich bin ein sehr ordentlicher, fleißiger und reinlicher Mensch, nur leider gefangen im Körper eines schmuddeligen Faulpelzes … tja, kann man nix machen …
0

#10 _The Grim Reaper_

  • Gruppe: Gäste

geschrieben 05. März 2011 - 14:45

Na das ist doch bei uns auch der Fall.
0

#11 Mitglied ist offline   Holger_N 

  • Gruppe: aktive Mitglieder
  • Beiträge: 4.213
  • Beigetreten: 11. September 10
  • Reputation: 199

geschrieben 05. März 2011 - 14:57

Also auf der WikiMedia-Seite steht, dass die 1.6 die letzte Version ist, die auf PHP 4 funktioniert. Die aktuellen funktionieren auf PHP 5. Würd ich zunächst einfach nur mal aktualisieren.
Ich bin ein sehr ordentlicher, fleißiger und reinlicher Mensch, nur leider gefangen im Körper eines schmuddeligen Faulpelzes … tja, kann man nix machen …
0

#12 _The Grim Reaper_

  • Gruppe: Gäste

geschrieben 08. März 2011 - 19:24

Hm wir hatten jetzt einfach PHP4 mit Wiki 1.6 installiert, dann auf PHP5 umgestellt und dann das Wiki geupdated und jetzt läuft es.
0

Thema verteilen:


Seite 1 von 1

1 Besucher lesen dieses Thema
Mitglieder: 0, Gäste: 1, unsichtbare Mitglieder: 0